Method: partners.channels.sites.delete

  • This documentation outlines how to delete a site from a channel using an HTTP DELETE request.

  • The DELETE request requires specific path parameters including the partner ID, channel ID, and the URL or app ID of the site to be deleted.

  • An optional query parameter, advertiserId, can be included.

  • The request body must be empty and a successful response body will also be empty.

  • The request requires authorization using the https://www.googleapis.com/auth/display-video OAuth scope.

Deletes a site from a channel.

HTTP request

DELETE https://displayvideo.googleapis.com/v1beta2/partners/{partnerId}/channels/{channelId}/sites/{urlOrAppId}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
channelId

string (int64 format)

Required. The ID of the parent channel to which the site belongs.

urlOrAppId

string

Required. The URL or app ID of the site to delete.

partnerId

string (int64 format)

The ID of the partner that owns the parent channel.

Query parameters

Parameters
advertiserId

string (int64 format)

The ID of the advertiser that owns the parent channel.

Request body

The request body must be empty.

Response body

If successful, the response body is empty.

Authorization Scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.